<?php

namespace App\Modules\GroupPassengerMedia\Application\Update;

use App\Modules\GroupPassengerMedia\Domain\GroupPassengerMedia;
use App\Modules\GroupPassengerMedia\Domain\GroupPassengerMediaRepository;

final class GroupPassengerMediaUpdater
{
    public function __construct(private GroupPassengerMediaRepository $repository)
    {
    }

    public function __invoke(GroupPassengerMedia $model)
    {
        return $this->repository->update($model);
    }
}
